Bug 19058 - <richtext> </richtext> This will provide a default rich text widget which is scriptable and should also support the Rich Text Format (RTF) Default widget implementation should be a text area with richtext controls above it. This will enable browsers to pr
<richtext> </richtext> This will provide a default rich text widget which is ...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 22:01 UTC by contributor
Modified: 2012-09-25 22:26 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 22:01:56 UTC
This was was cloned from bug 11797 as part of operation LATER convergence.
Originally filed: 2011-01-19 00:42:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2011-01-19 00:42:49 +0000 
--------------------------------------------------------------------------------
Specification: http://dev.w3.org/html5/spec/Overview.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#top

Comment:
<richtext> </richtext>
This will provide a default rich text widget which is scriptable and should
also support the Rich Text Format (RTF)
Default widget implementation should be a text area with richtext controls
above it. This will enable browsers to provide native support for rich /
advanced text entry and editing.

Posted from: 41.220.69.7
================================================================================
 #1   Aryeh Gregor                                    2011-01-19 09:27:48 +0000 
--------------------------------------------------------------------------------
This is kind of an interesting suggestion, actually.  Maybe this could be done by having some kind of "controls" attribute for contenteditable, à la video.
================================================================================
 #2   Toby Inkster                                    2011-01-20 14:37:39 +0000 
--------------------------------------------------------------------------------
contenteditable is such a poorly designed feature. It's essentially useless without Javascript. Its design is inherited from original proprietary implementations, and I'd like to think that if it had originated in the HTML WG instead, we'd have something much better.

Something like:

<textarea type="text/html">...</textarea>

would be far preferable.
================================================================================
 #3   Ian 'Hixie' Hickson                             2011-02-16 08:18:48 +0000 
--------------------------------------------------------------------------------
IE5 had <richedit>, IIRC. Microsoft dropped it. Do we know why? It would be useful to find out what their reasoning was, to make sure we didn't make the same mistake.

In the meantime, I'm going to mark this LATER since it's a _major_ new feature and now isn't a particularly convenient time to be adding new features.

EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: none yet
Rationale: We should wait for implementations to catch up before adding new features, especially in the space of rich text editing where there's a lot of work to be done just in getting the existing features interoperably implemented.
================================================================================